package projectzombie.items;

import gl_engine.vec.Vec2d;
import gl_engine.vec.Vec2i;
import gl_engine.vec.Vec3d;
import projectzombie.entity.player.EntityPlayer;
import projectzombie.init.Models;
import projectzombie.init.Tiles;
import projectzombie.model.Model;
import projectzombie.model.ModelItem;
import projectzombie.util.ItemStack;
import projectzombie.world.chunk.Chunk;
import projectzombie.world.layer.Layer;

public class ItemHempSeed extends Item
{

	@Override
	public ModelItem getModel(ItemStack stack) {
		return Models.ITEM_HEMP_SEED;
	}

	@Override
	public String getName(ItemStack stack) {
		return "Hemp Seed";
	}
	
	@Override
	public Model getPlaceModel(ItemStack stack) {
		return Models.TILE_HEMP[0];
	}
	
	@Override
	public boolean onPlayerRightClick(ItemStack stack, Layer layer, EntityPlayer player, Vec2d place_pos)
	{
		Vec2i pos = place_pos.toInt();
		
		if(layer.getBackTile(pos).tile == Tiles.GRASS && layer.getFrontTile(pos).tile == Tiles.VOID) {
			layer.setFrontTile(Tiles.HEMP.getDefaultState(), pos);
			stack.count -= 1;
			return true;
		}
		
		return false;
	}
	
}
